// file      : libbpkg/version.hxx.in -*- C++ -*-
// copyright : Copyright (c) 2014-2018 Code Synthesis Ltd
// license   : MIT; see accompanying LICENSE file

#ifndef LIBBPKG_VERSION // Note: using the version macro itself.

// Note: using build2 standard versioning scheme. The numeric version format
// is AAABBBCCCDDDE where:
//
// AAA - major version number
// BBB - minor version number
// CCC - bugfix version number
// DDD - alpha / beta (DDD + 500) version number
// E   - final (0) / snapshot (1)
//
// When DDDE is not 0, 1 is subtracted from AAABBBCCC. For example:
//
// Version      AAABBBCCCDDDE
//
// 0.1.0        0000010000000
// 0.1.2        0000010010000
// 1.2.3        0010020030000
// 2.2.0-a.1    0020019990010
// 3.0.0-b.2    0029999995020
// 2.2.0-a.1.z  0020019990011
//
#define LIBBPKG_VERSION       70000000ULL
#define LIBBPKG_VERSION_STR   "0.7.0"
#define LIBBPKG_VERSION_ID    "0.7.0"

#define LIBBPKG_VERSION_MAJOR 0
#define LIBBPKG_VERSION_MINOR 7
#define LIBBPKG_VERSION_PATCH 0

#define LIBBPKG_PRE_RELEASE   false

#define LIBBPKG_SNAPSHOT      0ULL
#define LIBBPKG_SNAPSHOT_ID   ""

#include <libbutl/version.hxx>

#ifdef LIBBUTL_VERSION
#  if !(LIBBUTL_VERSION >= 70000000ULL && LIBBUTL_VERSION < 79990001ULL)
#    error incompatible libbutl version, libbutl ^0.7.0 is required
#  endif
#endif

#endif // LIBBPKG_VERSION
